From 9c1e3e42042643194bd53fd003b24098b7f65639 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Thu, 21 Sep 2023 16:12:03 +0200
Subject: [PATCH] Update the NetBSD system call table to add memfd_create(2)
 and epoll(2).

Generated from sys/sys/syscall.h revision 1.324.
---
 gdb/syscalls/netbsd.xml | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gdb/syscalls/netbsd.xml b/gdb/syscalls/netbsd.xml
index 2c90a62cece..ccb95bd1d1d 100644
--- a/gdb/syscalls/netbsd.xml
+++ b/gdb/syscalls/netbsd.xml
@@ -414,7 +414,7 @@
   <syscall name="__mq_timedsend50" number="432"/>
   <syscall name="__mq_timedreceive50" number="433"/>
   <syscall name="compat_60__lwp_park" number="434"/>
-  <syscall name="__kevent50" number="435"/>
+  <syscall name="compat_100___kevent50" number="435"/>
   <syscall name="__pselect50" number="436"/>
   <syscall name="__pollts50" number="437"/>
   <syscall name="__aio_suspend50" number="438"/>
@@ -478,4 +478,9 @@
   <syscall name="__acl_aclcheck_file" number="497"/>
   <syscall name="__acl_aclcheck_fd" number="498"/>
   <syscall name="lpathconf" number="499"/>
+  <syscall name="memfd_create" number="500"/>
+  <syscall name="__kevent100" number="501"/>
+  <syscall name="epoll_create1" number="502"/>
+  <syscall name="epoll_ctl" number="503"/>
+  <syscall name="epoll_pwait2" number="504"/>
 </syscalls_info>
